package com.example.android.preference;

import android.os.Bundle;
import android.preference.CheckBoxPreference;
import android.preference.EditTextPreference;
import android.preference.ListPreference;
import android.preference.Preference;
import android.preference.PreferenceActivity;
import android.preference.RingtonePreference;
import android.preference.Preference.OnPreferenceChangeListener;

public class Preferences1 extends PreferenceActivity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		addPreferencesFromResource(R.xml.preferences);
		
		RingtonePreference rp = (RingtonePreference)findPreference("ringtone_preference");
		rp.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {
			@Override
			public boolean onPreferenceChange(Preference preference, Object newValue) {
				((RingtonePreference)preference).setSummary(newValue.toString());
				return true;
			}
		});
		
		CheckBoxPreference cbp = (CheckBoxPreference)findPreference("checkbox_preference");
		cbp.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {
			@Override
			public boolean onPreferenceChange(Preference preference, Object newValue) {
				String summary;
				if (((Boolean)newValue).booleanValue()) {
					summary = "Selected";
				} else {
					summary = "Unselected";
				}
				((CheckBoxPreference)preference).setSummary(summary);
				return true;
			}
		});
		
		EditTextPreference etp = (EditTextPreference)findPreference("edittext_preference");
		etp.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {
			@Override
			public boolean onPreferenceChange(Preference preference, Object newValue) {
				((EditTextPreference)preference).setSummary((String)newValue);
				return true;
			}
		});
		
		ListPreference lp = (ListPreference)findPreference("list_preference");
		lp.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {
			@Override
			public boolean onPreferenceChange(Preference preference, Object newValue) {
				String summary = "";
				String[] entries = getResources().getStringArray(R.array.list_preference_entries);
				String[] values = getResources().getStringArray(R.array.list_preference_values);
				for (int i = 0; i < values.length; ++i) {
					if (values[i].equals(newValue)) {
						summary = entries[i];
						break;
					}
				}
				((ListPreference)preference).setSummary(summary);
				return true;
			}
		});
	}
}
